import request from '@/utils/request'

export function yearMonth() {
  return request({
    url: '/production/quality/yearMonth',
    method: 'get'
  })
}

// 批量删除
export function removeQuality(query) {
  return request({
    url: '/production/quality/remove',
    method: 'post',
    params: query
  })
}

// 碳二反应器性能指标趋势图
export function c2ReactorAnalysis(query) {
  return request({
    url: '/production/quality/c2ReactorAnalysis',
    method: 'get',
    params: query
  })
}

// 碳二反应器性能指标表格
export function c2ReactorTable(query) {
  return request({
    url: '/production/quality/c2ReactorTable',
    method: 'get',
    params: query
  })
}

// 碳三反应器性能指标趋势图
export function c3ReactorAnalysis(query) {
  return request({
    url: '/production/quality/c3ReactorAnalysis',
    method: 'get',
    params: query
  })
}

// 碳三反应器性能指标表格
export function c3ReactorTable(query) {
  return request({
    url: '/production/quality/c3ReactorTable',
    method: 'get',
    params: query
  })
}

// 导出质量月报
export function exportQuality(file) {
  return request({
    url: '/production/quality/export',
    method: 'post',
    params: file
  })
}
